Distributor API
Update partner
Path Parameters
partnerUuid*string
Format
uuidHeader Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/distributors/partners/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated Mock Partner" }'{
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"name": "string",
"contact_email": "user@example.com",
"product_type": "string",
"reply_to_email": "user@example.com",
"account_reference": "string",
"monthly_churn_limit": 1,
"basic_billing_code": "string",
"plus_billing_code": "string",
"pro_billing_code": "string",
"send_customer_welcome_emails": true,
"send_transactional_emails": true
}{
"success": false,
"error": "Partner ID must be a valid UUID"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Internal server error"
}